/* tst.h - header for ternary search tree related functions.
   Written in 2014 by Mehmet Kayaalp mkayaalp@cs.binghamton.edu
   
To the extent possible under law, the author(s) have dedicated all copyright
and related and neighboring rights to this software to the public domain
worldwide. This software is distributed without any warranty.
You should have received a copy of the CC0 Public Domain Dedication along with
this software. If not, see 
<http://creativecommons.org/publicdomain/zero/1.0/>.*/

struct node {
  char c;
  struct node* lo;
  struct node* eq;
  struct node* hi; 
};

struct node* populate_from_file(char* filename, char* fallback_filename);
void write_to_file(struct node* root, char* filename);
struct node* insert_line(struct node* root, char *s);
struct node* search(struct node* root, char *s);
void mark_removed(struct node* p);
void unmark_removed(struct node* p);
char is_removed(struct node* p);




  














